#! /bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/EIBD_INTERFACE.sh - script dialog for ece
#
# Creation:     2015-08-25
# Last update:  $Id$
#
# Copyright (c) 2015 Tom Schulz, <tom_strike(at)gmx(dot)de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="$p2"

    sellist="ip,ipt,iptn,tpuarts,usb"

    ece_select_list_dlg "$win" "EIBD Interface" "$sellist"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
